Bug 2087 - getresourceproperty poll source does not tolerate whitespace in RP name
: getresourceproperty poll source does not tolerate whitespace in RP name
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: development
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-10-17 23:25 by
Modified: 2005-01-25 01:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-17 23:25:36
If the XML config for get resource property poll source contains whitespace,
the 
correct RP name is not requested. This is likely to occur, for example, when 
making nicely formatted config files for service group add client.

Something should cause this whitespace to be stripped (not sure if it is 
something that should be specified in XSD, or if aggregator code needs to
handle 
it explicitly)

Example of XML that does not work:

    <ns8:GetResourcePropertyPollType>
            <ns8:PollIntervalMillis>60000</ns8:PollIntervalMillis>

              <ns8:ResourcePropertyName>
            glue:GLUECE
          </ns8:ResourcePropertyName>

        </ns8:GetResourcePropertyPollType>




Example of XML that does work:

<ns8:GetResourcePropertyPollType>
            <ns8:PollIntervalMillis>60000</ns8:PollIntervalMillis>

              <ns8:ResourcePropertyName>glue:GLUECE</ns8:ResourcePropertyName>

        </ns8:GetResourcePropertyPollType>
------- Comment #1 From 2004-10-26 14:53:44 -------
I'm not sure what we can do about this.  The whitespace is interpreted 
literally when it is present in XML element values.  Will have to look into 
this more.
------- Comment #2 From 2005-01-24 23:44:32 -------
This might be a bug in Axis in QNameDeserializer. It does not call .trim() on 
the input as it probably should.
------- Comment #3 From 2005-01-25 01:20:07 -------
Fixed Axis, committed updated Axis library to our cvs.